description

# NativeApi class Null safety

Utilities for accessing the Dart VM API from Dart code or from C code via `dart_api_dl.h`.

## Constructors

NativeApi()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

closeNativePort → Pointer<NativeFunction<Int8 Function(Int64)>>
  A function pointer to `bool Dart_CloseNativePort(Dart_Port native_port_id)` in `dart_native_api.h`.
  read-only
initializeApiDLData → Pointer<Void>
  Pass this to `Dart_InitializeApiDL` in your native code to enable using the symbols in `dart_api_dl.h`.
  read-only
majorVersion → int
  On breaking changes the major version is increased. [...]
  read-only
minorVersion → int
  On backwards compatible changes the minor version is increased. [...]
  read-only
newNativePort → Pointer<NativeFunction<Int64 Function(Pointer<Uint8>, Pointer<NativeFunction<Dart_NativeMessageHandler>>, Int8)>>
  A function pointer to [...]
  read-only
postCObject → Pointer<NativeFunction<Int8 Function(Int64, Pointer<Dart_CObject>)>>
  A function pointer to `bool Dart_PostCObject(Dart_Port port_id, Dart_CObject* message)` in `dart_native_api.h`.
  read-only